/* $VER: WBStars_include.h 1.15 (09.07.1996) */

/* --- include part --- */
#include <exec/types.h>
#include <exec/libraries.h>
#include <exec/ports.h>
#include <graphics/displayinfo.h>
#include <graphics/gfxbase.h>
#include <graphics/gfx.h>
#include <graphics/rastport.h>
#include <intuition/intuition.h>
#include <intuition/classes.h>
#include <intuition/classusr.h>
#include <intuition/imageclass.h>
#include <intuition/gadgetclass.h>
#include <intuition/intuitionbase.h>
#include <libraries/dos.h>
#include <libraries/commodities.h>
#include <libraries/gadtools.h>
#include <utility/utility.h>
#include <stdlib.h>
#include <math.h>
#ifdef M68881
#include <m68881.h>
#endif
#include <limits.h>
#include <string.h>

#include <proto/exec.h>
#include <proto/graphics.h>
#include <proto/dos.h>
#include <proto/intuition.h>
#include <proto/commodities.h>
#include <proto/utility.h>
#include <proto/gadtools.h>
#include <proto/diskfont.h>
#include <clib/macros.h>
#include <clib/alib_protos.h>

/* --- constant declarations --- */
#define MODE_SCREEN	0
#define MODE_WIN	1
#define	c			299792458.0
#define MAXPOINTS	254
#define SCB			0.3
#define QUIT		0
#define ACTIVE		1
#define	INACTIVE	2
#define EVENT_WAIT	25
#define STAR_WAIT	4
#define IDC_HIDE	1
#define IDC_QUIT	2

/* --- default values --- */
#define	MAXSTARS	100
#define AZI			0
#define HEI			0
#define WRP			3
#define BACKPEN		1
#define NPEN		0
#define PRI			-1
#define STRTMODE	MODE_WIN

/* --- type declarations --- */
struct stars
{
	double	x3,y3,z3;
	short	x[MAXPOINTS],y[MAXPOINTS];
	char	col[MAXPOINTS];
	char	anzpoints;
};

/* --- WBStars_main.c --- */
extern CxObj			*broker;
extern struct MsgPort	*broker_mp;
extern ULONG			cxsigflag;
extern struct stars far	star[MAXSTARS];
extern short			az,az2;
extern short			he,he2;
extern short			wbs_pri;
extern char				anzstars;
extern char				warpf;
extern short			bgpen;
extern char				PEN[256];
extern char				npen;
extern char				status;
extern char				mode;
/*extern long	_stack;
extern char	*_procname;
extern long	_priority;
extern long	_BackGroundIO;*/

/* --- WBStars_OpenAll.c --- */
extern struct IntuitionBase		*IntuitionBase;
extern struct GfxBase			*GfxBase;
extern struct Library			*CxBase;
extern struct DosLibrary		*DOSBase;
extern struct Library			*GadToolsBase;
extern struct Library			*DiskfontBase;
extern struct Library			*UtilityBase;

/* --- WBStars_sys.c --- */
extern struct	Screen		*Screen;
extern struct	Window		*wnd;
extern struct	RastPort	*RastP;
extern short	maxx;
extern short	maxy;
extern char		gui;
extern char		idcmp;
extern short	anzcolors;

/* --- WBStars_plot.c --- */

